
function urltablock_setting_startup(){
	urltablock_setting_load();
}

function urltablock_setting_accept(){
	urltablock_setting_save();
	return true;
}

function urltablock_setting_load(){
	var prefElements = document.getElementsByAttribute("prefelement", "true");
	
	for(var i=0; i<prefElements.length; i++){
		var prefElement = prefElements[i];
		var prefString = prefElement.getAttribute("prefstring");
		var prefAttribute = prefElement.getAttribute("prefattribute");

		var prefValue = urltablock_getPrefValue(prefString);

		prefElement[prefAttribute] = prefValue;
		prefElement.setAttribute(prefAttribute, prefValue);
	}
}

function urltablock_setting_save(){
	var prefElements = document.getElementsByAttribute("prefelement", "true");
	
	for(var i=0; i<prefElements.length; i++){
		var prefElement = prefElements[i];
		var prefString = prefElement.getAttribute("prefstring");
		var prefAttribute = prefElement.getAttribute("prefattribute");

		var prefValue = prefElement[prefAttribute];
		var prefLastValue = urltablock_getPrefValue(prefString);
		var prefType = typeof(urltablock_getDefaultValue(prefString));

		if(prefType == "number"){
			prefValue = parseInt(prefValue);
			if(isNaN(prefValue)) { prefValue = prefLastValue; }
		}

		if(prefValue != prefLastValue) {
			urltablock_setPrefValue(prefString, prefValue);
		}
	}
}

